#!/usr/bin/python3
# -- coding: UTF-8 --
# -- Author: Blues --

import sys
from pyinotify import WatchManager, Notifier, ProcessEvent, IN_CREATE
import pyinotify
import ctypes
import time

class EventHandler(ProcessEvent):

    def process_IN_CREATE(self, event):
        time.sleep(1)
        permission_so = ctypes.CDLL("/usr/lib/mdm/devicesctl.so")
        # 获取当前管控模式， gsettings因用户问题获取不精确
        permission_so.setup_storage()
        sys.exit()


def FSMonitor(path: str) -> None:
    wm = WatchManager()
    # 添加监听事件类型
    mask = IN_CREATE
    notifier = Notifier(wm, EventHandler())
    wm.add_watch(path, mask, rec=True)
    while True:
        try:
            notifier.process_events()
            if notifier.check_events():
                notifier.read_events()
        except KeyboardInterrupt:
            notifier.stop()
            break


if __name__ == "__main__":
    FSMonitor("/media")
